# Enum Class AlienColor

java.lang.Object
java.lang.Enum<AlienColor>
it.polimi.ingsw.is25am31.model.components.AlienColor

All Implemented Interfaces:
  `Serializable`, `Comparable<AlienColor>`, `Constable`

public enum AlienColor extends Enum<AlienColor>
Enumeration representing the available alien colors in the game. This enum defines the specific colors associated with alien entities or alien-related game components. Unlike the standard `Color` enum, this enumeration includes specialized color options that are unique to alien characters or elements within the game system. The available alien colors are: `BROWN` - Brown alien color, `PURPLE` - Purple alien color, `NONE` - No color assigned (default or neutral state) The `NONE` option allows for cases where an alien entity may not have a specific color assigned, representing a neutral or uncolored state.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BROWN`
  `NONE`
  `PURPLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AlienColor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AlienColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BROWN

    public static final AlienColor BROWN

  - ### PURPLE

    public static final AlienColor PURPLE

  - ### NONE

    public static final AlienColor NONE

- ## Method Details

  - ### values

    public static AlienColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AlienColor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null